Bug 209856 - Does not build from source with sys/ptrace.h from glibc-2.5
Does not build from source with sys/ptrace.h from glibc-2.5
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: strace (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Roland McGrath
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-06 18:46 EDT by Dmitry V. Levin
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 4.5.15-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-16 22:06:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace-4.5.14-alt-PT_GETSIGINFO.patch (623 bytes, patch)
2006-10-06 18:48 EDT, Dmitry V. Levin
no flags Details | Diff

  None (edit)
Description Dmitry V. Levin 2006-10-06 18:46:35 EDT
The sys/ptrace.h from glibc-2.5 defines PT_GETSIGINFO macro which breaks strace build.
Comment 1 Dmitry V. Levin 2006-10-06 18:48:54 EDT
Created attachment 137959 [details]
strace-4.5.14-alt-PT_GETSIGINFO.patch

Proposed fix.
Comment 2 Dmitry V. Levin 2006-11-26 06:42:49 EST
Fixed upstream.
Comment 3 Roland McGrath 2007-01-11 06:15:12 EST
these bugs are fixed upstream in the coming 4.5.15 release
Comment 4 Roland McGrath 2007-01-16 22:06:13 EST
4.5.15 in rawhide and in updates for fc5 and fc6 fixes this.

Note You need to log in before you can comment on or make changes to this bug.